Bug 1166913 (CVE-2014-9030, xsa113) - CVE-2014-9030 kernel: xen: Guest effectable page reference leak in MMU_MACHPHYS_UPDATE handling
Summary: CVE-2014-9030 kernel: xen: Guest effectable page reference leak in MMU_MACHPH...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2014-9030, xsa113
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1166914
Blocks: 1166915
TreeView+ depends on / blocked
 
Reported: 2014-11-21 23:26 UTC by Vincent Danen
Modified: 2019-09-29 13:24 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-23 18:47:28 UTC


Attachments (Terms of Use)
upstream patch (1.25 KB, patch)
2014-11-21 23:33 UTC, Vincent Danen
no flags Details | Diff

Description Vincent Danen 2014-11-21 23:26:26 UTC
An error handling path in the processing of MMU_MACHPHYS_UPDATE failed
to drop a page reference which was acquired in an earlier processing
step.

Malicious or buggy stub domain kernels or tool stacks otherwise living
outside of Domain0 can mount a denial of service attack which, if
successful, can affect the whole system.

Only domains controlling HVM guests can exploit this vulnerability.
(This includes domains providing hardware emulation services to HVM
guests.)

Xen versions from at least 3.2.x onwards are vulnerable on x86 systems.
Older versions have not been inspected.  ARM systems are not vulnerable.

This vulnerability is only applicable to Xen systems using stub domains
or other forms of disaggregation of control domains for HVM guests.


Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue.


External References:

http://xenbits.xen.org/xsa/advisory-113.html

Comment 1 Vincent Danen 2014-11-21 23:26:49 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1166914]

Comment 2 Vincent Danen 2014-11-21 23:33:48 UTC
Created attachment 960013 [details]
upstream patch

Comment 3 Petr Matousek 2014-11-23 18:47:28 UTC
Statement:

Red Hat Enterprise Linux 5 is now in Production 3 Phase of the support and maintenance life cycle. This has been rated as having Low security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.


Note You need to log in before you can comment on or make changes to this bug.